Update Flexible Webhook
PATCH
Updates the metadata of an existing Webhook subscription. Only
name, description, and status can be modified. For any other changes, create a new Webhook subscription.Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.subscriptionIdstringrequired
The unique ID that identifies a Webhook subscription.Request Body
namestring
The new display name for the Flexible Webhook subscription. Up to 255 characters.descriptionstring
An optional description of the Webhook subscription.statusstring
The new subscription status. Set to ACTIVE to resume event delivery, or PAUSED to suspend it.Responses
subscriptionIdstring
The unique ID that identifies this Flexible Webhook.projectIdstring
The ID of the project this Flexible Webhook belongs to.accountIdstring
The ID of the account that created this Flexible Webhook.namestring
The display name of the Flexible Webhook subscription.descriptionstring
An optional description of the Flexible Webhook subscription.chainstring
The name of the blockchain this Flexible Webhook is subscribed to.networkstring
The network of the blockchain this Flexible Webhook is subscribed to.streamIdstring
The unique ID of the on-chain data trackable via Flexible Webhook. You can look this up using the Get Stream Schema API or List Flexible Streams API.streamSlugstring
The slug identifying this Stream.filterExpressionstring
A CEL (Common Expression Language) expression used to filter events. Use the Get Stream Schema API or List Flexible Streams API to view the stream's schema.receiveFieldsarray
List of fields included in the Webhook payload. If not specified, all stream fields are received.deliveryChannelstring
The delivery channel for event data.destinationstring
The endpoint URL that receives events for this Flexible Webhook subscription.signingKeystring
The signing key used to authenticate Flexible Webhook notifications. After receiving a notification, use this key to verify its validity.The signing key is automatically generated when the Flexible Webhook is created and is only available in the creation response.statusstring
The subscription status of this Flexible Webhook.createdAtstring
The date and time this Flexible Webhook subscription was created (ISO 8601 format).updatedAtstring
The date and time this Flexible Webhook subscription was last updated (ISO 8601 format).codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "MISSING_REQUIRED_PARAMETER","message": "Missing required parameter: { PARAMETER_NAME }"}
cURL
curl -X PATCH 'https://web3.nodit.io/v1/avalanche/mainnet/flexible-webhooks/9193601422344750850' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"name": "renamed-webhook","status": "PAUSED"}'